      program main
      implicit none
      real*8, allocatable :: theta(:), x(:), y(:)
      real*8 time, dummy
      integer*8 time0, time1, dtime
      integer i, j, n, m
c
      n = 10000
      m = 10000

c Initialization
      allocate(theta(n), x(n), y(n))
      do i=1,n
        x(i) = rand()
        y(i) = rand()
      end do

c Start time
      call system_clock(time0)

c Main calculation
      do j=1,m
        do i=1,n
          dummy = sin(theta(i))
          x(i) = 2d0 * d
          y(i) = 3d0 * d
        end do
      end do

c Finish time
      call system_clock(time1, dtime)

c Output time
      time = 1d0*(time1-time0)/dtime
      write(*,"(a7,f16.7)")"Time = ",time

      deallocate(theta, x, y)
      end program
